#!/usr/bin/env python
# -*- Python -*-

import sys
import time
sys.path.append(".")

# Import RTM moduleTest
import OpenRTM_aist
import RTC

import codecs




Test_spec = ["implementation_id", "Test", 
		 "type_name",         "Test", 
		 "description",       "Test Component", 
		 "version",           "0.1", 
		 "vendor",            "Miyamoto Nobuhiko", 
		 "category",          "TEST", 
		 "activity_type",     "DataFlowComponent", 
		 "max_instance",      "1", 
		 "language",          "Python", 
		 "lang_type",         "SCRIPT",
		 ""]


class Test(OpenRTM_aist.DataFlowComponentBase):
	def __init__(self, manager):
                
		OpenRTM_aist.DataFlowComponentBase.__init__(self, manager)


		
		# Set OutPort buffers



		self._d_In = RTC.TimedLongSeq(RTC.Time(0,0),[])
		self._InIn = OpenRTM_aist.InPort("In", self._d_In)
		
		self.registerInPort("In",self._InIn)



		

		

		

		

	def onExecute(self, ec_id):

            if self._InIn.isNew():
                inport = self._InIn.read()

                print inport.data[0],inport.data[1]
            
            
            
	    return RTC.RTC_OK
	

	





def MyModuleInit(manager):
    profile = OpenRTM_aist.Properties(defaults_str=Test_spec)
    manager.registerFactory(profile,
                            Test,
                            OpenRTM_aist.Delete)

    # Create a component
    comp = manager.createComponent("Test")



def main():
	mgr = OpenRTM_aist.Manager.init(len(sys.argv), sys.argv)
	mgr.setModuleInitProc(MyModuleInit)
	mgr.activateManager()
	mgr.runManager()

if __name__ == "__main__":
	main()

